-- load Image for Dashboard's, edit 01.11.2017 Der Tester
-- XML example: <dashboardImage firstIndex="0>13|12|1" secondIndex="0>13|2|0" thirdIndex="0>13|2|2" />


dashboardLoad = {};
function dashboardLoad.prerequisitesPresent(specializations) return true; end;

function dashboardLoad:load(savegame) self.speedWaitingMaxTimeMonitor = 2500; self.speedWaitingTimerMonitor = 1; 
	self.dashboardFirst  = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.dashboardImage#firstIndex"));
	self.dashboardSecond = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.dashboardImage#secondIndex"));
	self.dashboardThird  = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.dashboardImage#thirdIndex")); end;

function dashboardLoad:delete() end;

function dashboardLoad:mouseEvent(posX, posY, isDown, isUp, button) end;

function dashboardLoad:keyEvent(unicode, sym, modifier, isDown) end;

function dashboardLoad:update(dt) if self.isMotorStarted then 
	if self.speedWaitingTimerMonitor < self.speedWaitingMaxTimeMonitor 
		then setVisibility(self.dashboardFirst, true); setVisibility(self.dashboardSecond, false); setVisibility(self.dashboardThird, false); end;
	if self.speedWaitingTimerMonitor < (self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor) and self.speedWaitingTimerMonitor > self.speedWaitingMaxTimeMonitor
		then setVisibility(self.dashboardFirst, false); setVisibility(self.dashboardSecond, true); setVisibility(self.dashboardThird, false); end;
	if self.speedWaitingTimerMonitor < (self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor + self.speedWaitingMaxTimeMonitor) and self.speedWaitingTimerMonitor > (self.speedWaitingMaxTimeMonitor + self.speedWaitingTimerMonitor) 
		then setVisibility(self.dashboardFirst, false); setVisibility(self.dashboardSecond, false); setVisibility(self.dashboardThird, true); end;
		self.speedWaitingTimerMonitor = self.speedWaitingTimerMonitor + dt;
	else self.speedWaitingTimerMonitor = 1; setVisibility(self.dashboardFirst, false); setVisibility(self.dashboardSecond, false); setVisibility(self.dashboardThird, false); end; end;

function dashboardLoad:loadFromAttributesAndNodes(savegame, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;

function dashboardLoad:getSaveAttributesAndNodes(nodeIdent) end;

function dashboardLoad:updateTick(dt) end;

function dashboardLoad:draw() end;

function dashboardLoad:onAttach(attacherVehicle, jointDescIndex) end;

function dashboardLoad:onDetach() end;

function dashboardLoad:onDeactivate() end;